curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"results": [
{
"external_id": "5cb554be-5494-1233-8157-525f8a2f429a",
"data_type": "job_description",
"timestamp": "2018-11-07T00:25:00.073876",
"source": "Workday",
"data": {
"job_description": "Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application."
}
},
{
"external_id": "62d2c713-ab77-415e-b5fb-2f968ed9c1db",
"data_type": "job_title",
"timestamp": "2019-09-07T08:21:10.793021",
"source": "Company-archive",
"data": {
"job_title": "Django Backend developer."
}
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]List Job Profile Data
Get a list of all Job Profile Data available in the system. This can for example be used to keep track of proper synchronisation between your system and the Skill Engine API.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Job ID in your system, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
1 <= x <= 20050
The applied offset for returned entities, results starting from offset up to offset + limit.
x >= 0Response
OK
Total number of Job Profile Data objects stored inside the system.
x >= 02
Subset of Job Profile Data starting from offset up to offset + limit.
Show child attributes
Show child attributes
[
{
"external_id": "5cb554be-5494-1233-8157-525f8a2f429a",
"data_type": "job_description",
"timestamp": "2018-11-07T00:25:00.073876",
"source": "Workday",
"data": {
"job_description": "Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application."
}
},
{
"external_id": "62d2c713-ab77-415e-b5fb-2f968ed9c1db",
"data_type": "job_title",
"timestamp": "2019-09-07T08:21:10.793021",
"source": "Company-archive",
"data": { "job_title": "Django Backend developer." }
}
]
Was this page helpful?